## helma.framework.repository
Class AbstractResource

    java.lang.Object
      helma.framework.repository.AbstractResource

All Implemented Interfaces:
  Resource

Direct Known Subclasses:
  FileResource, ZipResource

    public abstract class AbstractResource

extends java.lang.Object
implements Resource

Abstract resource base class that implents get/setOverloadedResource.

Field Summary
`protected Resource` `overloaded`

Constructor Summary
`AbstractResource()`

Method Summary
`Resource` `getOverloadedResource()` Get a Resource this Resource is overloading
`void` `setOverloadedResource(Resource res)` Method for registering a Resource this Resource is overloading

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface helma.framework.repository.Resource
`exists, getBaseName, getContent, getContent, getInputStream, getLength, getName, getRepository, getShortName, getUrl, lastModified`

Field Detail

### overloaded

    protected Resource overloaded

Constructor Detail

### AbstractResource

    public AbstractResource()

Method Detail

### setOverloadedResource

    public void setOverloadedResource(Resource res)

  Method for registering a Resource this Resource is overloading

  Specified by:
    `setOverloadedResource` in interface `Resource`
  Parameters:
    `res` - the overloaded resource

### getOverloadedResource

    public Resource getOverloadedResource()

  Get a Resource this Resource is overloading

  Specified by:
    `getOverloadedResource` in interface `Resource`
  Returns:
    the overloaded resource

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.